<?php

/**
 * Page de traitement de l'identification d'un visiteur.
 * Elle vérifie la présence des valeurs fournies par le formulaire de la page d'accueil et les passes à la fonction de validation.
 * Si le visiteur a été authentifié, il devient un utilisateur et est redirigé vers la page d'administration centrale après ouverture de session (comportant ses informations et privilèges).
 * Si le visiteur n'a pas été authentifié, il est redirigé vers la page d'accueil.
 */

require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/authentification.php");

if (isset($_POST['identifiant']) && isset($_POST['mdp']) && !empty($_POST['identifiant']) && !empty($_POST['mdp'])) {

	/**
	 * Vérification des informations entrées par l'utilisateur.
	 */
	$result = validationIdentifiants($pdo,$_POST['identifiant'],trim($_POST['mdp']));

	if($result) {
		session_start();
		initValeursSession($result);

		/**
		* Création d'un cookie permettant le maintient de session si l'utilisateur a coché la case "Se souvenir de moi".
		*/
		if (isset($_POST['souvenir-session']) && $_POST['souvenir-session']==="on") {
			creerCookie($result);
		}

		if (isset($_SESSION['pseudo_utilisateur']) && !empty($_SESSION['pseudo_utilisateur']) && $_SESSION['privilege_utilisateur']==="administrateur") {
			header ("location: /pages/gestion/administration.php?message=bienvenue&page=accueil");
			die();
		}
		elseif (isset($_SESSION['pseudo_utilisateur']) && !empty($_SESSION['pseudo_utilisateur']) && $_SESSION['privilege_utilisateur']==="utilisateur") {
			header ("location: /pages/gestion/administration.php?message=bienvenue&page=accueil");
			die();
		}
		else {
			echo "Ça ne devrait pas arriver.";
			die();
		}
	}
	else {
		header('Location: /pages/visiteurs/echec_auth.php');
		die();
		}
}
else {
	header('Location: /pages/visiteurs/echec_auth.php');
	die();
}

?>
